import { ComponentProps } from "react";

export function CreateContainerContent({ children, className }: ComponentProps<"div">) {
  return <div className="mt-6">
    {children}
  </div>
}

export function CreateContainerHeader({ children }: ComponentProps<"h1">) {
  return <h1 className="text-primary-foreground bg-primary w-full font-black text-3xl p-5">{children}</h1>
}

export function CreateContainer({ children }: ComponentProps<"div">) {
  return <div className="w-2/3 m-auto">{children}</div>
}

export function CreateContainerDescription({ children }: ComponentProps<"p">) {
  return <p className="mt-4">{children}</p>
}
